<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Rifle/SVD.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d97/_s_v_d_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">SVD.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d97/_s_v_d_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/d7d/class_s_v_d___base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d7d/class_s_v_d___base.html">SVD_Base</a> : RifleBoltLock_Base</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d7d/class_s_v_d___base.html#acd6f0d476e380a2d33fac4af8ea78380">    3</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../d3/d7d/class_s_v_d___base.html#acd6f0d476e380a2d33fac4af8ea78380">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../d4/dbe/class_svd_recoil.html">SvdRecoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d3/d7d/class_s_v_d___base.html#aaefb0a82833c14171e98b67f0b43a0bc">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d7d/class_s_v_d___base.html#aaefb0a82833c14171e98b67f0b43a0bc">CanEnterIronsights</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_class" href="../../d2/d29/class_item_optics.html">ItemOptics</a> optic = GetAttachedOptics();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span> (optic &amp;&amp; PSO1Optic.Cast(optic) || PSO11Optic.Cast(optic) || <a class="code hl_class" href="../../d3/d23/class_kashtan_optic.html">KashtanOptic</a>.Cast(optic) || <a class="code hl_class" href="../../d0/d20/class_kazuar_optic.html">KazuarOptic</a>.Cast(optic))</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">return</span> super.CanEnterIronsights();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d7d/class_s_v_d___base.html#ab2d7c3973c37051d8dd99ee8df2db9ef">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d7d/class_s_v_d___base.html#ab2d7c3973c37051d8dd99ee8df2db9ef">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a> inventory = GetInventory();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;PSO1Optic&quot;</span> );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;AK_Suppressor&quot;</span> );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;Battery9V&quot;</span> );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        SpawnAttachedMagazine(<span class="stringliteral">&quot;Mag_SVD_10Rnd&quot;</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00033">Inventory.c:28</a></div></div>
<div class="ttc" id="aclass_item_optics_html"><div class="ttname"><a href="../../d2/d29/class_item_optics.html">ItemOptics</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d08/_m79_8c_source.html#l00031">M79.c:32</a></div></div>
<div class="ttc" id="aclass_kashtan_optic_html"><div class="ttname"><a href="../../d3/d23/class_kashtan_optic.html">KashtanOptic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db0/_optics_8c_source.html#l00007">Optics.c:7</a></div></div>
<div class="ttc" id="aclass_kazuar_optic_html"><div class="ttname"><a href="../../d0/d20/class_kazuar_optic.html">KazuarOptic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db0/_optics_8c_source.html#l00014">Optics.c:15</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
<div class="ttc" id="aclass_s_v_d___base_html"><div class="ttname"><a href="../../d3/d7d/class_s_v_d___base.html">SVD_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d97/_s_v_d_8c_source.html#l00001">SVD.c:2</a></div></div>
<div class="ttc" id="aclass_s_v_d___base_html_aaefb0a82833c14171e98b67f0b43a0bc"><div class="ttname"><a href="../../d3/d7d/class_s_v_d___base.html#aaefb0a82833c14171e98b67f0b43a0bc">SVD_Base::CanEnterIronsights</a></div><div class="ttdeci">override bool CanEnterIronsights()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d97/_s_v_d_8c_source.html#l00008">SVD.c:8</a></div></div>
<div class="ttc" id="aclass_s_v_d___base_html_ab2d7c3973c37051d8dd99ee8df2db9ef"><div class="ttname"><a href="../../d3/d7d/class_s_v_d___base.html#ab2d7c3973c37051d8dd99ee8df2db9ef">SVD_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d97/_s_v_d_8c_source.html#l00017">SVD.c:17</a></div></div>
<div class="ttc" id="aclass_s_v_d___base_html_acd6f0d476e380a2d33fac4af8ea78380"><div class="ttname"><a href="../../d3/d7d/class_s_v_d___base.html#acd6f0d476e380a2d33fac4af8ea78380">SVD_Base::SpawnRecoilObject</a></div><div class="ttdeci">override RecoilBase SpawnRecoilObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d97/_s_v_d_8c_source.html#l00003">SVD.c:3</a></div></div>
<div class="ttc" id="aclass_svd_recoil_html"><div class="ttname"><a href="../../d4/dbe/class_svd_recoil.html">SvdRecoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d63/_svd_recoil_8c_source.html#l00001">SvdRecoil.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_bce4da49836595f9a16952151be6b928.html">Rifle</a></li><li class="navelem"><a class="el" href="../../d0/d97/_s_v_d_8c.html">SVD.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
